(* $Id: gontbind.mli,v 1.9 2001/11/18 21:21:34 malekith Exp $ *)

open Gontutil

type ctx

val init_bind : (* module name *) string -> ctx

(* Modify decl in place, adding symbol entries to Ref terms. This musn't be
 * called more then once in a toplevel symbol (i.e. don't call it for local
 * functions). *)
val bind : ctx -> decl -> ctx

(* Return list of symbols, at given scoping level, that needs to put into the
 * closure becouse they are referenced in stmts. *)
val closure : int -> stmt -> (bool * symbol list)
;;
